#include<bits/stdc++.h>
using namespace std;
long long tinh(long long n,long long i)
{
	if(n==1)	return 1;
	return pow(n,i)+tinh(n-1,i);
}
int main()
{
	ifstream f1("DQU.inp");
	ofstream f2("DQU.out");
	long long n,k;
	f1>>n>>k;
	f2<<tinh(n,k);
	f1.close();
	f2.close();
}
